Results 1 to 3 of 3

Thread: Can't start kdeinit4 after upgrade to openSUSE 13.2

  1. #1

    Default Can't start kdeinit4 after upgrade to openSUSE 13.2

    Yesterday, I decided to have some fun and start the upgrade to 13.2 a little early. Unfortunately, ever since I haven't been able to start kde. I'm able to get into IceWM just fine.

    I have .xsession-errors-:0 in my home folder, which says something about libQtNetwork.so failing because of a symbol lookup error (looking for sslv2-server-method).

    Any ideas on how I can fix this?

  2. #2

    Default Re: Can't start kdeinit4 after upgrade to openSUSE 13.2

    Quote Originally Posted by jangell3 View Post
    Yesterday, I decided to have some fun and start the upgrade to 13.2 a little early. Unfortunately, ever since I haven't been able to start kde. I'm able to get into IceWM just fine.
    _How_ did you upgrade?

    I have .xsession-errors-:0 in my home folder, which says something about libQtNetwork.so failing because of a symbol lookup error (looking for sslv2-server-method).

    Any ideas on how I can fix this?
    Post the exact error message.

    And please also your repo list:
    Code:
    zypper lr -d
    Probably a list of your Qt4 packages and the version of kdelibs4 (which contains kdeinit4) might show something as well:
    Code:
    rpm -qa | egrep "qt4|kdelibs4"
    Actually I would imagine that a "zypper dup" with the correct repos (i.e. only the standard 13.2 repos with all others removed) should fix your system.
    Last edited by wolfi323; 28-Oct-2014 at 14:06.

  3. #3

    Default Re: Can't start kdeinit4 after upgrade to openSUSE 13.2

    Indeed, I had a random Tumbleweed repository. Once removed, and after zypper dup, everything worked again.

    Thanks!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •